org.eclipse.microprofile.fault.tolerance.tck.config

## Class BulkheadConfigBean

- java.lang.Object
- - org.eclipse.microprofile.fault.tolerance.tck.config.BulkheadConfigBean

    @ApplicationScoped
    public class BulkheadConfigBean
    extends Object

A suite of test methods to test the parameters of bulkhead

### Constructor Summary

Constructors
Constructor and Description
`BulkheadConfigBean()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `serviceValue(Barrier barrier)`
`Future<Void>` `serviceWaitingTaskQueue(Barrier barrier)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BulkheadConfigBean

    public BulkheadConfigBean()

### Method Detail

#### serviceValue

    @Bulkhead(value=5)
    public void serviceValue(Barrier barrier)

#### serviceWaitingTaskQueue

    @Bulkhead(value=1,
              waitingTaskQueue=5)
     @Asynchronous
    public Future<Void> serviceWaitingTaskQueue(Barrier barrier)